Hướng dẫn cài đặt Ruby và Ruby on Rails trên Ubuntu

Xem thêm các chuyên mục:

1- Ruby & Ruby On Rails

Trong bài viết này tôi hướng dẫn bạn cài đặt RubyRuby On Rails trên hệ điều hành Ubuntu, chú ý rằng bạn có thể chỉ cần cài đặt Ruby nếu bạn không cần thiết một Framework để lập trình web.
Ruby là một ngôn ngữ lập trình cho các mục đích chung.
Ruby On Rails là một nền tảng (framework) thực hiện Ruby cho việc lập trình các ứng dụng web dễ dàng hơn.

2- Cài đặt RVM

RVM viết tắt của từ "Ruby Version Manager" (Bộ quản lý phiên bản Ruby). RVM cung cấp cách hiệu quả để cài đặt Ruby với các phiên bản bất kỳ trên Ubuntu, thông thường chúng ta sẽ cài đặt phiên bản mới nhất của Ruby.
Trước hết bạn cần cài đặt cURLgnupg2:

sudo apt-get install curl

sudo apt-get install gnupg2

Cài đặt RVM:

Trước khi cài đặt RVM, trước hết bạn phải import khóa công khai (public key) vào hệ thống của bạn, sau đó sử dụng cURL để cài đặt RVM.
gpg2 --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3


curl -sSL https://get.rvm.io | bash -s stable
Sau khi cài đặt RVM, bạn cần đóng cửa sổ Terminal hiện thời và mở một cửa sổ Terminal khác để làm việc.
Cài đặt tất cả các phụ thuộc cho việc cài đặt Ruby một cách tự động trên hệ thống, sử dụng lệnh sau:

rvm requirements
Lúc này bạn có thể sử dụng lệnh để liệt kê danh sách các phiên bản Ruby đã được phát hành:

rvm list known

3- Cài đặt Ruby

Sử dụng lệnh dưới đây giúp bạn biết được Ruby hiện tại có các phiên bản nào.

rvm list known
Chúng ta sẽ cài đặt phiên bản mới nhất.

rvm install 2.4.0

Chỉ định phiên bản mặc định để sử dụng

Ở bước trên bạn đã cài đặt xong Ruby, chú ý rằng bạn có thể cài đặt một hoặc nhiều phiên bản Ruby khác nhau trên Ubuntu. Bạn cần chỉ định phiên bản mặc định để sử dụng:

rvm use 2.4.0 --default
Chú ý: Nếu bạn gặp lỗi sau, bạn có thể xem cách sửa lỗi tại phụ lục phía cuối bài viết này.
RVM is not a function, selecting rubies with 'rvm use ...' will not work.

You need to change your terminal emulator preferences to allow login shell.
Sometimes it is required to use `/bin/bash --login` as the command.
Please visit https://rvm.io/integration/gnome-terminal/ for a example.

Kiểm tra phiên bản:

Chạy lệnh sau để kiểm tra phiên bản Ruby mặc định đang được sử dụng:

ruby --version

4- Cài đặt Rails

Để cài đặt phiên bản mới nhất của "Ruby on Rails", bạn thực thi lệnh sau:
gem install rails

rails -v
Hoặc cài đặt một phiên bản cụ thể:

gem install rails --version=5.0.2
Để biết "Ruby on Rails" hiện tại có các phiên bản nào, bạn có thể tra cứu tại đây:
Kiểm tra phiên bản Rails mà bạn vừa cài đặt xong.

5- Phụ lục: Khắp phục lỗi

Nếu bạn gặp lỗi sau khi chỉ định phiên bản Ruby mặc định để sử dụng:
RVM is not a function, selecting rubies with 'rvm use ...' will not work.

You need to change your terminal emulator preferences to allow login shell.
Sometimes it is required to use `/bin/bash --login` as the command.
Please visit https://rvm.io/integration/gnome-terminal/ for a example.
  • Edit/Profile Preferences
Đóng cửa sổ Termial hiện thời, và mở một cửa sổ Terminal mới để làm việc.

Xem thêm các chuyên mục: